Skip to main content
GET
/
v1
/
voiceai
/
conversations
/
token
Get Conversation Token
curl --request GET \
  --url https://api.threetone.in/v1/voiceai/conversations/token \
  --header 'x-api-key: <api-key>'
{
  "token": "<string>",
  "livekit_url": "<string>"
}

Authorizations

x-api-key
string
header
required

API key for programmatic access

Query Parameters

agent_id
string
required

The id of the agent to start a conversation with

participant_name
string | null

Optional participant name (authenticated requests only)

Response

Successful Response

Response model for conversation token endpoint.

Works for both authenticated (dashboard) and public (widget) requests.

token
string
required

LiveKit JWT token to connect to the conversation

livekit_url
string
required

LiveKit WebSocket URL to connect to (wss://...)